com.qihoo.livecloud.plugin

## Interface LiveCloudPluginConstant

- All Known Implementing Classes:
    ILiveCloudPlugin, ILiveCloudPluginEx, QHVCPlayerPlugin, QHVCPlayerPluginBak

      public interface LiveCloudPluginConstant

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DT_INSTALL` 插件下载类型-安装
    `static int` | `DT_UPDATE` 插件下载类型-升级
    `static int` | `ERROR_CANCEL` 取消安装插件
    `static int` | `ERROR_CONFIG_DOWNLOAD_FAILED` 下载配置文件失败
    `static int` | `ERROR_CONFIG_PARSE_FAILED` 解析配置文件失败
    `static int` | `ERROR_DEPENDENT_PLUGIN_LOAD_FAILED` 依赖的插件加载失败
    `static int` | `ERROR_DEPENDENT_PLUGIN_NOT_INSTALL` 依赖的插件未安装
    `static int` | `ERROR_INSTALL_RUNNING` 插件正在加载中
    `static int` | `ERROR_LOCAL_UPDATE_FAILED` 本地升级失败
    `static int` | `ERROR_LOCAL_UPDATE_OLD_LOADED` 本地升级失败-旧版本插件已被加载
    `static int` | `ERROR_NO_SPACES` 本地磁盘空间不足
    `static int` | `ERROR_NOT_INSTALL` 还未安装插件
    `static int` | `ERROR_PLUGIN_DELETE_FAILED` 删除插件失败
    `static int` | `ERROR_PLUGIN_LOAD_FAILED` 加载插件失败
    `static int` | `ERROR_SUCCESS` 下载或安装成功
    `static int` | `ERROR_UNKNOWN` 未知错误
    `static int` | `ERROR_ZIP_DOWNLOAD_FAILED` 下载插件zip文件失败
    `static int` | `ERROR_ZIP_FILE_DISMATCH` 插件文件不匹配
    `static int` | `ERROR_ZIP_MD5_DISMATCH` 比对插件的MD5不匹配
    `static int` | `ERROR_ZIP_UNZIP_FAILED` 解压插件文件失败
    `static java.lang.String` | `TAG`
    `static java.lang.String` | `V_2_0_1` 修改说明： 1.
    `static java.lang.String` | `V_2_0_2` 修改说明： 1.
    `static java.lang.String` | `V_2_0_9` 修改说明： 1.
    `static java.lang.String` | `V_2_1_1` 修改说明： 1.
    `static java.lang.String` | `V_2_2_0` 修改说明： 拆分为ffmpeg独立仓库、支持64位

- - ### Field Detail

    - #### TAG

          static final java.lang.String TAG

      See Also:
        Constant Field Values

    - #### DT_INSTALL

          static final int DT_INSTALL

      插件下载类型-安装
      See Also:
        Constant Field Values

    - #### DT_UPDATE

          static final int DT_UPDATE

      插件下载类型-升级
      See Also:
        Constant Field Values

    - #### V_2_0_1

          static final java.lang.String V_2_0_1

      修改说明：
      1. 公共库、播放、本地缓存等模块支持插件化
      See Also:
        Constant Field Values

    - #### V_2_0_2

          static final java.lang.String V_2_0_2

      修改说明：
      1. 优化插件升级方式，新版本SDK可以支持老版本SO库
      See Also:
        Constant Field Values

    - #### V_2_0_9

          static final java.lang.String V_2_0_9

      修改说明：
      1. localserver添加帝视模块
      See Also:
        Constant Field Values

    - #### V_2_1_1

          static final java.lang.String V_2_1_1

      修改说明：
      1. player setDataSource(options) KEY_OPTION_PLAY_MODE 播放模式参数值变更
      See Also:
        Constant Field Values

    - #### V_2_2_0

          static final java.lang.String V_2_2_0

      修改说明：
      拆分为ffmpeg独立仓库、支持64位
      See Also:
        Constant Field Values

    - #### ERROR_UNKNOWN

          static final int ERROR_UNKNOWN

      未知错误
      See Also:
        Constant Field Values

    - #### ERROR_SUCCESS

          static final int ERROR_SUCCESS

      下载或安装成功
      See Also:
        Constant Field Values

    - #### ERROR_CANCEL

          static final int ERROR_CANCEL

      取消安装插件
      See Also:
        Constant Field Values

    - #### ERROR_NOT_INSTALL

          static final int ERROR_NOT_INSTALL

      还未安装插件
      See Also:
        Constant Field Values

    - #### ERROR_NO_SPACES

          static final int ERROR_NO_SPACES

      本地磁盘空间不足
      See Also:
        Constant Field Values

    - #### ERROR_CONFIG_DOWNLOAD_FAILED

          static final int ERROR_CONFIG_DOWNLOAD_FAILED

      下载配置文件失败
      See Also:
        Constant Field Values

    - #### ERROR_CONFIG_PARSE_FAILED

          static final int ERROR_CONFIG_PARSE_FAILED

      解析配置文件失败
      See Also:
        Constant Field Values

    - #### ERROR_ZIP_DOWNLOAD_FAILED

          static final int ERROR_ZIP_DOWNLOAD_FAILED

      下载插件zip文件失败
      See Also:
        Constant Field Values

    - #### ERROR_ZIP_MD5_DISMATCH

          static final int ERROR_ZIP_MD5_DISMATCH

      比对插件的MD5不匹配
      See Also:
        Constant Field Values

    - #### ERROR_ZIP_UNZIP_FAILED

          static final int ERROR_ZIP_UNZIP_FAILED

      解压插件文件失败
      See Also:
        Constant Field Values

    - #### ERROR_ZIP_FILE_DISMATCH

          static final int ERROR_ZIP_FILE_DISMATCH

      插件文件不匹配
      See Also:
        Constant Field Values

    - #### ERROR_PLUGIN_DELETE_FAILED

          static final int ERROR_PLUGIN_DELETE_FAILED

      删除插件失败
      See Also:
        Constant Field Values

    - #### ERROR_PLUGIN_LOAD_FAILED

          static final int ERROR_PLUGIN_LOAD_FAILED

      加载插件失败
      See Also:
        Constant Field Values

    - #### ERROR_INSTALL_RUNNING

          static final int ERROR_INSTALL_RUNNING

      插件正在加载中
      See Also:
        Constant Field Values

    - #### ERROR_DEPENDENT_PLUGIN_NOT_INSTALL

          static final int ERROR_DEPENDENT_PLUGIN_NOT_INSTALL

      依赖的插件未安装
      See Also:
        Constant Field Values

    - #### ERROR_DEPENDENT_PLUGIN_LOAD_FAILED

          static final int ERROR_DEPENDENT_PLUGIN_LOAD_FAILED

      依赖的插件加载失败
      See Also:
        Constant Field Values

    - #### ERROR_LOCAL_UPDATE_FAILED

          static final int ERROR_LOCAL_UPDATE_FAILED

      本地升级失败
      See Also:
        Constant Field Values

    - #### ERROR_LOCAL_UPDATE_OLD_LOADED

          static final int ERROR_LOCAL_UPDATE_OLD_LOADED

      本地升级失败-旧版本插件已被加载
      See Also:
        Constant Field Values